- autoreconf, so this stuff builds sanely on fc4..
[apt.git] / Makefile.in
1 # Makefile.in generated by automake 1.9.5 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 srcdir = @srcdir@
17 top_srcdir = @top_srcdir@
18 VPATH = @srcdir@
19 pkgdatadir = $(datadir)/@PACKAGE@
20 pkglibdir = $(libdir)/@PACKAGE@
21 pkgincludedir = $(includedir)/@PACKAGE@
22 top_builddir = .
23 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24 INSTALL = @INSTALL@
25 install_sh_DATA = $(install_sh) -c -m 644
26 install_sh_PROGRAM = $(install_sh) -c
27 install_sh_SCRIPT = $(install_sh) -c
28 INSTALL_HEADER = $(INSTALL_DATA)
29 transform = $(program_transform_name)
30 NORMAL_INSTALL = :
31 PRE_INSTALL = :
32 POST_INSTALL = :
33 NORMAL_UNINSTALL = :
34 PRE_UNINSTALL = :
35 POST_UNINSTALL = :
36 build_triplet = @build@
37 host_triplet = @host@
38 subdir = .
39 DIST_COMMON = $(am__configure_deps) $(srcdir)/Makefile.am \
40         $(srcdir)/Makefile.in $(top_srcdir)/buildlib/config.h.in \
41         $(top_srcdir)/configure $(top_srcdir)/intl/Makefile.in \
42         ABOUT-NLS AUTHORS COPYING TODO
43 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44 am__aclocal_m4_deps = $(top_srcdir)/buildlib/tools.m4 \
45         $(top_srcdir)/m4/codeset.m4 $(top_srcdir)/m4/gettext.m4 \
46         $(top_srcdir)/m4/glibc21.m4 $(top_srcdir)/m4/iconv.m4 \
47         $(top_srcdir)/m4/intdiv0.m4 $(top_srcdir)/m4/inttypes-pri.m4 \
48         $(top_srcdir)/m4/inttypes.m4 $(top_srcdir)/m4/inttypes_h.m4 \
49         $(top_srcdir)/m4/lcmessage.m4 $(top_srcdir)/m4/lib-ld.m4 \
50         $(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
51         $(top_srcdir)/m4/progtest.m4 $(top_srcdir)/m4/stdint_h.m4 \
52         $(top_srcdir)/m4/uintmax_t.m4 $(top_srcdir)/m4/ulonglong.m4 \
53         $(top_srcdir)/configure.in
54 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
55         $(ACLOCAL_M4)
56 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
57  configure.lineno configure.status.lineno
58 mkinstalldirs = $(SHELL) $(top_srcdir)/buildlib/mkinstalldirs
59 CONFIG_HEADER = $(top_builddir)/include/config.h
60 CONFIG_CLEAN_FILES = intl/Makefile
61 SOURCES =
62 DIST_SOURCES =
63 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
64         html-recursive info-recursive install-data-recursive \
65         install-exec-recursive install-info-recursive \
66         install-recursive installcheck-recursive installdirs-recursive \
67         pdf-recursive ps-recursive uninstall-info-recursive \
68         uninstall-recursive
69 ETAGS = etags
70 CTAGS = ctags
71 DIST_SUBDIRS = $(SUBDIRS)
72 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
73 distdir = $(PACKAGE)-$(VERSION)
74 top_distdir = $(distdir)
75 am__remove_distdir = \
76   { test ! -d $(distdir) \
77     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
78          && rm -fr $(distdir); }; }
79 DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
80 GZIP_ENV = --best
81 distuninstallcheck_listfiles = find . -type f -print
82 distcleancheck_listfiles = find . -type f -print
83 ACLOCAL = @ACLOCAL@
84 ALLOCA = @ALLOCA@
85 AMDEP_FALSE = @AMDEP_FALSE@
86 AMDEP_TRUE = @AMDEP_TRUE@
87 AMTAR = @AMTAR@
88 AR = @AR@
89 AUTOCONF = @AUTOCONF@
90 AUTOHEADER = @AUTOHEADER@
91 AUTOMAKE = @AUTOMAKE@
92 AWK = @AWK@
93 BUILD_INCLUDED_LIBINTL = @BUILD_INCLUDED_LIBINTL@
94 CATOBJEXT = @CATOBJEXT@
95 CC = @CC@
96 CCDEPMODE = @CCDEPMODE@
97 CFLAGS = @CFLAGS@
98 COMPILE_APTSHELL_FALSE = @COMPILE_APTSHELL_FALSE@
99 COMPILE_APTSHELL_TRUE = @COMPILE_APTSHELL_TRUE@
100 COMPILE_MANPAGES_FALSE = @COMPILE_MANPAGES_FALSE@
101 COMPILE_MANPAGES_TRUE = @COMPILE_MANPAGES_TRUE@
102 COMPILE_STATIC_FALSE = @COMPILE_STATIC_FALSE@
103 COMPILE_STATIC_TRUE = @COMPILE_STATIC_TRUE@
104 CPP = @CPP@
105 CPPFLAGS = @CPPFLAGS@
106 CXX = @CXX@
107 CXXCPP = @CXXCPP@
108 CXXDEPMODE = @CXXDEPMODE@
109 CXXFLAGS = @CXXFLAGS@
110 CYGPATH_W = @CYGPATH_W@
111 DATADIRNAME = @DATADIRNAME@
112 DEFS = @DEFS@
113 DEPDIR = @DEPDIR@
114 DOCBOOK2MAN = @DOCBOOK2MAN@
115 ECHO = @ECHO@
116 ECHO_C = @ECHO_C@
117 ECHO_N = @ECHO_N@
118 ECHO_T = @ECHO_T@
119 EGREP = @EGREP@
120 EXEEXT = @EXEEXT@
121 F77 = @F77@
122 FFLAGS = @FFLAGS@
123 GENCAT = @GENCAT@
124 GLIBC21 = @GLIBC21@
125 GLIBC_VER = @GLIBC_VER@
126 GMSGFMT = @GMSGFMT@
127 HAVE_TIMEGM = @HAVE_TIMEGM@
128 INSTALL_DATA = @INSTALL_DATA@
129 INSTALL_PROGRAM = @INSTALL_PROGRAM@
130 INSTALL_SCRIPT = @INSTALL_SCRIPT@
131 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
132 INSTOBJEXT = @INSTOBJEXT@
133 INTLBISON = @INTLBISON@
134 INTLLIBS = @INTLLIBS@
135 INTLOBJS = @INTLOBJS@
136 INTL_LIBTOOL_SUFFIX_PREFIX = @INTL_LIBTOOL_SUFFIX_PREFIX@
137 LDFLAGS = @LDFLAGS@
138 LIBICONV = @LIBICONV@
139 LIBINTL = @LIBINTL@
140 LIBOBJS = @LIBOBJS@
141 LIBS = @LIBS@
142 LIBSTDCPP_VER = @LIBSTDCPP_VER@
143 LIBTOOL = @LIBTOOL@
144 LN_S = @LN_S@
145 LTLIBICONV = @LTLIBICONV@
146 LTLIBINTL = @LTLIBINTL@
147 LTLIBOBJS = @LTLIBOBJS@
148 MAINT = @MAINT@
149 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
150 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
151 MAKEINFO = @MAKEINFO@
152 MKINSTALLDIRS = @MKINSTALLDIRS@
153 MSGFMT = @MSGFMT@
154 MSGMERGE = @MSGMERGE@
155 NEED_INTTYPES_H_FALSE = @NEED_INTTYPES_H_FALSE@
156 NEED_INTTYPES_H_TRUE = @NEED_INTTYPES_H_TRUE@
157 NEED_NETDB_H_FALSE = @NEED_NETDB_H_FALSE@
158 NEED_NETDB_H_TRUE = @NEED_NETDB_H_TRUE@
159 NEED_SOCKLEN_T_DEFINE = @NEED_SOCKLEN_T_DEFINE@
160 NEED_STATVFS_H_FALSE = @NEED_STATVFS_H_FALSE@
161 NEED_STATVFS_H_TRUE = @NEED_STATVFS_H_TRUE@
162 OBJEXT = @OBJEXT@
163 PACKAGE = @PACKAGE@
164 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
165 PACKAGE_NAME = @PACKAGE_NAME@
166 PACKAGE_STRING = @PACKAGE_STRING@
167 PACKAGE_TARNAME = @PACKAGE_TARNAME@
168 PACKAGE_VERSION = @PACKAGE_VERSION@
169 PATH_SEPARATOR = @PATH_SEPARATOR@
170 POSUB = @POSUB@
171 PTHREADLIB = @PTHREADLIB@
172 RANLIB = @RANLIB@
173 RPMLIBS = @RPMLIBS@
174 RPM_PATH = @RPM_PATH@
175 SET_MAKE = @SET_MAKE@
176 SHELL = @SHELL@
177 SOCKETLIBS = @SOCKETLIBS@
178 STRIP = @STRIP@
179 USE_INCLUDED_LIBINTL = @USE_INCLUDED_LIBINTL@
180 USE_NLS = @USE_NLS@
181 VERSION = @VERSION@
182 WITH_LUA_FALSE = @WITH_LUA_FALSE@
183 WITH_LUA_TRUE = @WITH_LUA_TRUE@
184 XGETTEXT = @XGETTEXT@
185 ac_ct_AR = @ac_ct_AR@
186 ac_ct_CC = @ac_ct_CC@
187 ac_ct_CXX = @ac_ct_CXX@
188 ac_ct_F77 = @ac_ct_F77@
189 ac_ct_RANLIB = @ac_ct_RANLIB@
190 ac_ct_STRIP = @ac_ct_STRIP@
191 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
192 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
193 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
194 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
195 am__include = @am__include@
196 am__leading_dot = @am__leading_dot@
197 am__quote = @am__quote@
198 am__tar = @am__tar@
199 am__untar = @am__untar@
200 bindir = @bindir@
201 build = @build@
202 build_alias = @build_alias@
203 build_cpu = @build_cpu@
204 build_os = @build_os@
205 build_vendor = @build_vendor@
206 datadir = @datadir@
207 exec_prefix = @exec_prefix@
208 host = @host@
209 host_alias = @host_alias@
210 host_cpu = @host_cpu@
211 host_os = @host_os@
212 host_vendor = @host_vendor@
213 includedir = @includedir@
214 infodir = @infodir@
215 install_sh = @install_sh@
216 libdir = @libdir@
217 libexecdir = @libexecdir@
218 localstatedir = @localstatedir@
219 mandir = @mandir@
220 mkdir_p = @mkdir_p@
221 oldincludedir = @oldincludedir@
222 prefix = @prefix@
223 program_transform_name = @program_transform_name@
224 sbindir = @sbindir@
225 sharedstatedir = @sharedstatedir@
226 sysconfdir = @sysconfdir@
227 target_alias = @target_alias@
228 SUBDIRS = buildlib intl lua apt-pkg methods cmdline tools doc m4 po
229 ACLOCAL_AMFLAGS = -I m4 -I buildlib
230 EXTRA_DIST = \
231                 AUTHORS.RPM \
232                 COPYING.GPL \
233                 rpmpriorities \
234                 test/conf.cc \
235                 test/extract-control.cc \
236                 test/hash.cc \
237                 test/makefile \
238                 test/mthdcat.cc \
239                 test/rpmver.cc \
240                 test/scratch.cc \
241                 test/testdeb.cc \
242                 test/testextract.cc \
243                 test/uri.cc \
244                 test/versions.lst \
245                 test/versiontest.cc \
246                 python/apt.i \
247                 python/apt.py \
248                 python/apt_wrap.cxx \
249                 python/Makefile \
250                 python/swig-1.3.16-cxx.patch \
251                 contrib/apt-rpm/apt-rpm \
252                 contrib/apt-rpm/apt-rpm.1 \
253                 contrib/apt-files/README \
254                 contrib/apt-files/apt-files.lua \
255                 contrib/apt-files/apt-files.conf \
256                 contrib/apt-files/convert.py \
257                 contrib/install-devel/README \
258                 contrib/install-devel/install-devel.lua \
259                 contrib/apt-groupinstall/README \
260                 contrib/apt-groupinstall/apt-groupinstall.lua \
261                 contrib/apt-groupinstall/apt-groupinstall.py \
262                 contrib/apt-groupinstall/apt-groupinstall.conf \
263                 contrib/proxypasswd/README \
264                 contrib/proxypasswd/proxypasswd.lua
265
266 all: all-recursive
267
268 .SUFFIXES:
269 am--refresh:
270         @:
271 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
272         @for dep in $?; do \
273           case '$(am__configure_deps)' in \
274             *$$dep*) \
275               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
276               cd $(srcdir) && $(AUTOMAKE) --foreign  \
277                 && exit 0; \
278               exit 1;; \
279           esac; \
280         done; \
281         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
282         cd $(top_srcdir) && \
283           $(AUTOMAKE) --foreign  Makefile
284 .PRECIOUS: Makefile
285 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
286         @case '$?' in \
287           *config.status*) \
288             echo ' $(SHELL) ./config.status'; \
289             $(SHELL) ./config.status;; \
290           *) \
291             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
292             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
293         esac;
294
295 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
296         $(SHELL) ./config.status --recheck
297
298 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
299         cd $(srcdir) && $(AUTOCONF)
300 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
301         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
302
303 include/config.h: include/stamp-h1
304         @if test ! -f $@; then \
305           rm -f include/stamp-h1; \
306           $(MAKE) include/stamp-h1; \
307         else :; fi
308
309 include/stamp-h1: $(top_srcdir)/buildlib/config.h.in $(top_builddir)/config.status
310         @rm -f include/stamp-h1
311         cd $(top_builddir) && $(SHELL) ./config.status include/config.h
312 $(top_srcdir)/buildlib/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
313         cd $(top_srcdir) && $(AUTOHEADER)
314         rm -f include/stamp-h1
315         touch $@
316
317 distclean-hdr:
318         -rm -f include/config.h include/stamp-h1
319 intl/Makefile: $(top_builddir)/config.status $(top_srcdir)/intl/Makefile.in
320         cd $(top_builddir) && $(SHELL) ./config.status $@
321
322 mostlyclean-libtool:
323         -rm -f *.lo
324
325 clean-libtool:
326         -rm -rf .libs _libs
327
328 distclean-libtool:
329         -rm -f libtool
330 uninstall-info-am:
331
332 # This directory's subdirectories are mostly independent; you can cd
333 # into them and run `make' without going through this Makefile.
334 # To change the values of `make' variables: instead of editing Makefiles,
335 # (1) if the variable is set in `config.status', edit `config.status'
336 #     (which will cause the Makefiles to be regenerated when you run `make');
337 # (2) otherwise, pass the desired values on the `make' command line.
338 $(RECURSIVE_TARGETS):
339         @failcom='exit 1'; \
340         for f in x $$MAKEFLAGS; do \
341           case $$f in \
342             *=* | --[!k]*);; \
343             *k*) failcom='fail=yes';; \
344           esac; \
345         done; \
346         dot_seen=no; \
347         target=`echo $@ | sed s/-recursive//`; \
348         list='$(SUBDIRS)'; for subdir in $$list; do \
349           echo "Making $$target in $$subdir"; \
350           if test "$$subdir" = "."; then \
351             dot_seen=yes; \
352             local_target="$$target-am"; \
353           else \
354             local_target="$$target"; \
355           fi; \
356           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
357           || eval $$failcom; \
358         done; \
359         if test "$$dot_seen" = "no"; then \
360           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
361         fi; test -z "$$fail"
362
363 mostlyclean-recursive clean-recursive distclean-recursive \
364 maintainer-clean-recursive:
365         @failcom='exit 1'; \
366         for f in x $$MAKEFLAGS; do \
367           case $$f in \
368             *=* | --[!k]*);; \
369             *k*) failcom='fail=yes';; \
370           esac; \
371         done; \
372         dot_seen=no; \
373         case "$@" in \
374           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
375           *) list='$(SUBDIRS)' ;; \
376         esac; \
377         rev=''; for subdir in $$list; do \
378           if test "$$subdir" = "."; then :; else \
379             rev="$$subdir $$rev"; \
380           fi; \
381         done; \
382         rev="$$rev ."; \
383         target=`echo $@ | sed s/-recursive//`; \
384         for subdir in $$rev; do \
385           echo "Making $$target in $$subdir"; \
386           if test "$$subdir" = "."; then \
387             local_target="$$target-am"; \
388           else \
389             local_target="$$target"; \
390           fi; \
391           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
392           || eval $$failcom; \
393         done && test -z "$$fail"
394 tags-recursive:
395         list='$(SUBDIRS)'; for subdir in $$list; do \
396           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
397         done
398 ctags-recursive:
399         list='$(SUBDIRS)'; for subdir in $$list; do \
400           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
401         done
402
403 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
404         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
405         unique=`for i in $$list; do \
406             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
407           done | \
408           $(AWK) '    { files[$$0] = 1; } \
409                END { for (i in files) print i; }'`; \
410         mkid -fID $$unique
411 tags: TAGS
412
413 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
414                 $(TAGS_FILES) $(LISP)
415         tags=; \
416         here=`pwd`; \
417         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
418           include_option=--etags-include; \
419           empty_fix=.; \
420         else \
421           include_option=--include; \
422           empty_fix=; \
423         fi; \
424         list='$(SUBDIRS)'; for subdir in $$list; do \
425           if test "$$subdir" = .; then :; else \
426             test ! -f $$subdir/TAGS || \
427               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
428           fi; \
429         done; \
430         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
431         unique=`for i in $$list; do \
432             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
433           done | \
434           $(AWK) '    { files[$$0] = 1; } \
435                END { for (i in files) print i; }'`; \
436         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
437           test -n "$$unique" || unique=$$empty_fix; \
438           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
439             $$tags $$unique; \
440         fi
441 ctags: CTAGS
442 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
443                 $(TAGS_FILES) $(LISP)
444         tags=; \
445         here=`pwd`; \
446         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
447         unique=`for i in $$list; do \
448             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
449           done | \
450           $(AWK) '    { files[$$0] = 1; } \
451                END { for (i in files) print i; }'`; \
452         test -z "$(CTAGS_ARGS)$$tags$$unique" \
453           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
454              $$tags $$unique
455
456 GTAGS:
457         here=`$(am__cd) $(top_builddir) && pwd` \
458           && cd $(top_srcdir) \
459           && gtags -i $(GTAGS_ARGS) $$here
460
461 distclean-tags:
462         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
463
464 distdir: $(DISTFILES)
465         $(am__remove_distdir)
466         mkdir $(distdir)
467         $(mkdir_p) $(distdir)/buildlib $(distdir)/contrib/apt-files $(distdir)/contrib/apt-groupinstall $(distdir)/contrib/apt-rpm $(distdir)/contrib/install-devel $(distdir)/contrib/proxypasswd $(distdir)/intl $(distdir)/m4 $(distdir)/po $(distdir)/python $(distdir)/test
468         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
469         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
470         list='$(DISTFILES)'; for file in $$list; do \
471           case $$file in \
472             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
473             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
474           esac; \
475           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
476           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
477           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
478             dir="/$$dir"; \
479             $(mkdir_p) "$(distdir)$$dir"; \
480           else \
481             dir=''; \
482           fi; \
483           if test -d $$d/$$file; then \
484             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
485               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
486             fi; \
487             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
488           else \
489             test -f $(distdir)/$$file \
490             || cp -p $$d/$$file $(distdir)/$$file \
491             || exit 1; \
492           fi; \
493         done
494         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
495           if test "$$subdir" = .; then :; else \
496             test -d "$(distdir)/$$subdir" \
497             || $(mkdir_p) "$(distdir)/$$subdir" \
498             || exit 1; \
499             distdir=`$(am__cd) $(distdir) && pwd`; \
500             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
501             (cd $$subdir && \
502               $(MAKE) $(AM_MAKEFLAGS) \
503                 top_distdir="$$top_distdir" \
504                 distdir="$$distdir/$$subdir" \
505                 distdir) \
506               || exit 1; \
507           fi; \
508         done
509         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
510           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
511           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
512           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
513         || chmod -R a+r $(distdir)
514 dist-gzip: distdir
515         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
516         $(am__remove_distdir)
517 dist-bzip2: distdir
518         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
519         $(am__remove_distdir)
520
521 dist-tarZ: distdir
522         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
523         $(am__remove_distdir)
524
525 dist-shar: distdir
526         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
527         $(am__remove_distdir)
528
529 dist-zip: distdir
530         -rm -f $(distdir).zip
531         zip -rq $(distdir).zip $(distdir)
532         $(am__remove_distdir)
533
534 dist dist-all: distdir
535         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
536         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
537         $(am__remove_distdir)
538
539 # This target untars the dist file and tries a VPATH configuration.  Then
540 # it guarantees that the distribution is self-contained by making another
541 # tarfile.
542 distcheck: dist
543         case '$(DIST_ARCHIVES)' in \
544         *.tar.gz*) \
545           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
546         *.tar.bz2*) \
547           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
548         *.tar.Z*) \
549           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
550         *.shar.gz*) \
551           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
552         *.zip*) \
553           unzip $(distdir).zip ;;\
554         esac
555         chmod -R a-w $(distdir); chmod a+w $(distdir)
556         mkdir $(distdir)/_build
557         mkdir $(distdir)/_inst
558         chmod a-w $(distdir)
559         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
560           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
561           && cd $(distdir)/_build \
562           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
563             --with-included-gettext \
564             $(DISTCHECK_CONFIGURE_FLAGS) \
565           && $(MAKE) $(AM_MAKEFLAGS) \
566           && $(MAKE) $(AM_MAKEFLAGS) dvi \
567           && $(MAKE) $(AM_MAKEFLAGS) check \
568           && $(MAKE) $(AM_MAKEFLAGS) install \
569           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
570           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
571           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
572                 distuninstallcheck \
573           && chmod -R a-w "$$dc_install_base" \
574           && ({ \
575                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
576                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
577                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
578                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
579                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
580               } || { rm -rf "$$dc_destdir"; exit 1; }) \
581           && rm -rf "$$dc_destdir" \
582           && $(MAKE) $(AM_MAKEFLAGS) dist \
583           && rm -rf $(DIST_ARCHIVES) \
584           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
585         $(am__remove_distdir)
586         @(echo "$(distdir) archives ready for distribution: "; \
587           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
588           sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
589 distuninstallcheck:
590         @cd $(distuninstallcheck_dir) \
591         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
592            || { echo "ERROR: files left after uninstall:" ; \
593                 if test -n "$(DESTDIR)"; then \
594                   echo "  (check DESTDIR support)"; \
595                 fi ; \
596                 $(distuninstallcheck_listfiles) ; \
597                 exit 1; } >&2
598 distcleancheck: distclean
599         @if test '$(srcdir)' = . ; then \
600           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
601           exit 1 ; \
602         fi
603         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
604           || { echo "ERROR: files left in build directory after distclean:" ; \
605                $(distcleancheck_listfiles) ; \
606                exit 1; } >&2
607 check-am: all-am
608 check: check-recursive
609 all-am: Makefile
610 installdirs: installdirs-recursive
611 installdirs-am:
612 install: install-recursive
613 install-exec: install-exec-recursive
614 install-data: install-data-recursive
615 uninstall: uninstall-recursive
616
617 install-am: all-am
618         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
619
620 installcheck: installcheck-recursive
621 install-strip:
622         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
623           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
624           `test -z '$(STRIP)' || \
625             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
626 mostlyclean-generic:
627
628 clean-generic:
629
630 distclean-generic:
631         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
632
633 maintainer-clean-generic:
634         @echo "This command is intended for maintainers to use"
635         @echo "it deletes files that may require special tools to rebuild."
636 clean: clean-recursive
637
638 clean-am: clean-generic clean-libtool mostlyclean-am
639
640 distclean: distclean-recursive
641         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
642         -rm -f Makefile
643 distclean-am: clean-am distclean-generic distclean-hdr \
644         distclean-libtool distclean-tags
645
646 dvi: dvi-recursive
647
648 dvi-am:
649
650 html: html-recursive
651
652 info: info-recursive
653
654 info-am:
655
656 install-data-am:
657
658 install-exec-am:
659
660 install-info: install-info-recursive
661
662 install-man:
663
664 installcheck-am:
665
666 maintainer-clean: maintainer-clean-recursive
667         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
668         -rm -rf $(top_srcdir)/autom4te.cache
669         -rm -f Makefile
670 maintainer-clean-am: distclean-am maintainer-clean-generic
671
672 mostlyclean: mostlyclean-recursive
673
674 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
675
676 pdf: pdf-recursive
677
678 pdf-am:
679
680 ps: ps-recursive
681
682 ps-am:
683
684 uninstall-am: uninstall-info-am
685
686 uninstall-info: uninstall-info-recursive
687
688 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
689         check-am clean clean-generic clean-libtool clean-recursive \
690         ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
691         dist-shar dist-tarZ dist-zip distcheck distclean \
692         distclean-generic distclean-hdr distclean-libtool \
693         distclean-recursive distclean-tags distcleancheck distdir \
694         distuninstallcheck dvi dvi-am html html-am info info-am \
695         install install-am install-data install-data-am install-exec \
696         install-exec-am install-info install-info-am install-man \
697         install-strip installcheck installcheck-am installdirs \
698         installdirs-am maintainer-clean maintainer-clean-generic \
699         maintainer-clean-recursive mostlyclean mostlyclean-generic \
700         mostlyclean-libtool mostlyclean-recursive pdf pdf-am ps ps-am \
701         tags tags-recursive uninstall uninstall-am uninstall-info-am
702
703                 contrib/guess/README \
704                 contrib/guess/guess.lua \
705                 contrib/guess/guess.conf
706 # Tell versions [3.59,3.63) of GNU make to not export all variables.
707 # Otherwise a system limit (for SysV at least) may be exceeded.
708 .NOEXPORT: